package data.scripts.campaign.customstart;

import com.fs.starfarer.api.campaign.CargoAPI;
import com.fs.starfarer.api.campaign.InteractionDialogAPI;
import com.fs.starfarer.api.campaign.SpecialItemData;
import com.fs.starfarer.api.campaign.rules.MemoryAPI;
import com.fs.starfarer.api.characters.CharacterCreationData;
import com.fs.starfarer.api.characters.MutableCharacterStatsAPI;
import com.fs.starfarer.api.impl.campaign.ids.Factions;
import com.fs.starfarer.api.impl.campaign.ids.Skills;
import com.fs.starfarer.api.impl.campaign.rulecmd.AddRemoveCommodity;
import com.fs.starfarer.api.impl.campaign.rulecmd.FireBest;
import com.fs.starfarer.api.impl.campaign.rulecmd.newgame.NGCAddStartingShipsByFleetType;
import exerelin.campaign.ExerelinSetupData;
import exerelin.campaign.PlayerFactionStore;
import exerelin.campaign.customstart.CustomStart;
import exerelin.utilities.StringHelper;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

public class CswpBBBetrayerStart extends CustomStart {
    protected List<String> ships = new ArrayList<>(Arrays.asList("istl_stormkestrel_elite", "istl_desertersupply_sm_std"));

    public void execute(InteractionDialogAPI dialog, Map<String, MemoryAPI> memoryMap) {
        PlayerFactionStore.setPlayerFactionIdNGC("the_deserter");
        CharacterCreationData data = (CharacterCreationData) ((MemoryAPI) memoryMap.get("local")).get("$characterData");
        NGCAddStartingShipsByFleetType.generateFleetFromVariantIds(dialog, data, null, this.ships);
        NGCAddStartingShipsByFleetType.addStartingDModScript(memoryMap.get("local"));

        data.getStartingCargo().addSpecial(new SpecialItemData("cswp_blade_breakers_ships_package", null), 1.0F);
        data.getStartingCargo().addSpecial(new SpecialItemData("cswp_blade_breakers_weapons_package", null), 1.0F);

        FireBest.fire(null, dialog, memoryMap, "ExerelinNGCStep4");
    }
}
