package data.scripts;

import com.fs.starfarer.api.BaseModPlugin;
import com.fs.starfarer.api.Global;
import com.fs.starfarer.api.combat.ShipAPI;
import com.fs.starfarer.api.combat.ShipHullSpecAPI;
import com.fs.starfarer.api.combat.ShipVariantAPI;
import com.fs.starfarer.api.combat.WeaponAPI;
import com.fs.starfarer.api.impl.campaign.ids.Tags;
import com.fs.starfarer.api.loading.FighterWingSpecAPI;
import com.fs.starfarer.api.loading.WeaponSpecAPI;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class CswpBPModPlugin extends BaseModPlugin {
    public static boolean isExerelin = false;

    @Override
    public void onApplicationLoad() {
        isExerelin = Global.getSettings().getModManager().isModEnabled("nexerelin");

        ShipHullSpecAPI guardian = Global.getSettings().getHullSpec("guardian");
        guardian.addTag("auto_rec");

        for (String varID : Global.getSettings().getAllVariantIds()) {
            ShipVariantAPI variant = Global.getSettings().getVariant(varID);
            ShipHullSpecAPI spec = variant.getHullSpec();
            if (spec.hasTag("remnant") && spec.hasTag("auto_rec")) {
                spec.addTag("cswp_remnants_bp");
            }
            if (spec.hasTag("derelict") && spec.hasTag("auto_rec")) {
                spec.addTag("cswp_derelict_bp");
            }
            if (spec.hasTag("domres_derelict") && spec.hasTag("auto_rec")) {
                spec.addTag("cswp_domres_bp");
            }
        }

        for (FighterWingSpecAPI fighter : Global.getSettings().getAllFighterWingSpecs()) {
            if (fighter.hasTag(Tags.NO_DROP))
                continue;

            if (fighter.hasTag("remnant") && fighter.getVariant().getHullSpec().getManufacturer().equals("Remnant")) {
                fighter.addTag("cswp_remnants_bp");
            }
        }

        for (WeaponSpecAPI wep : Global.getSettings().getAllWeaponSpecs()) {
            if (wep.hasTag(Tags.NO_DROP) || wep.getAIHints().contains(WeaponAPI.AIHints.SYSTEM))
                continue;

            if (wep.hasTag("remnant") && wep.getManufacturer().equals("Remnant")) {
                wep.addTag("cswp_remnants_weapons_bp");
            }
        }
    }
}

